Bug 1299620 - rhel-x86_64-server-6-cf-ce-1-beta channel maps are absent from channel-cert-mapping.txt
rhel-x86_64-server-6-cf-ce-1-beta channel maps are absent from channel-cert-m...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data (Show other bugs)
6.8
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 14:11 EST by John Sefler
Modified: 2017-02-15 23:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-15 23:14:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2016-01-18 14:11:18 EST
Description of problem:

RHN Classic channel 'rhel-x86_64-server-6-cf-ce-1-beta' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-6-cf-ce-1-beta-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.24-1.el6.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# grep rhel-x86_64-server-6-cf-ce-1 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-cf-ce-1: product-x86_64-3085f3bfbd2b-167.pem
rhel-x86_64-server-6-cf-ce-1-debuginfo: product-x86_64-3085f3bfbd2b-167.pem
[root@jsefler-6 ~]# 

Actual results:
  above

Expected results:
  Also expected the grep to find channel maps for:
rhel-x86_64-server-6-cf-ce-1-beta
rhel-x86_64-server-6-cf-ce-1-beta-debuginfo

Additional info:
Before this bug can be fixed in subscription-manager-migration-data, an upstream fix to http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json must be done by Release Engineering.
Comment 2 John Sefler 2017-01-16 12:56:29 EST
Retesting....


[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data 
subscription-manager-migration-data-2.0.32-1.el6.noarch
[root@jsefler-rhel6 ~]# grep rhel-x86_64-server-6-cf-ce-1 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-cf-ce-1: product-x86_64-3085f3bfbd2b-167.pem
rhel-x86_64-server-6-cf-ce-1-debuginfo: product-x86_64-3085f3bfbd2b-167.pem
[root@jsefler-rhel6 ~]# 

And from a satellite-sync...
[root@rhsm-sat5 ~]# satellite-sync --list-channels > allchannels.txt
[root@rhsm-sat5 ~]# grep -- rhel-x86_64-server-6-cf-ce-1 allchannels.txt 
12:24:47       p rhel-x86_64-server-6-cf-ce-1              346 
12:24:47       p rhel-x86_64-server-6-cf-ce-1-beta           0 
12:24:47       p rhel-x86_64-server-6-cf-ce-1-beta-debuginfo    0 
12:24:47       p rhel-x86_64-server-6-cf-ce-1-debuginfo     27 
[root@rhsm-sat5 ~]# 


This is still a bug.  Missing mappings for channels...
rhel-x86_64-server-6-cf-ce-1-beta
rhel-x86_64-server-6-cf-ce-1-beta-debuginfo
Comment 3 Andrew Thomas 2017-02-07 10:44:26 EST
All CF-SE, CF-AE, CF-CE, CF-Tools, and CF-ME-2 are all EOL and not supported. We can probably ignore these mappings safely.

I think this can be closed as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.